hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HBASE-2392) upgrade to ZooKeeper 3.3.0
Date Tue, 30 Mar 2010 07:40:27 GMT

    [ https://issues.apache.org/jira/browse/HBASE-2392?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12851300#action_12851300
] 

Andrew Purtell commented on HBASE-2392:
---------------------------------------

Sorry, didn't catch the dupe.

bq. Is zk 3.3.0 not in a maven repo now? 

I updated zookeeper.version to 3.3.0 in the toplevel pom and Maven complained about not being
able to find it. 

bq. Why you thinking of not doing this on branch? Real installs will be pissed off about required
upgrade of zk? 

Yes. But if we've already frustrated rolling restarts, then do people care? Same patch trivially
applies to branch.


> upgrade to ZooKeeper 3.3.0
> --------------------------
>
>                 Key: HBASE-2392
>                 URL: https://issues.apache.org/jira/browse/HBASE-2392
>             Project: Hadoop HBase
>          Issue Type: Improvement
>            Reporter: Andrew Purtell
>            Assignee: Andrew Purtell
>            Priority: Minor
>             Fix For: 0.21.0
>
>         Attachments: HBASE-2392.patch
>
>
> See http://hadoop.apache.org/zookeeper/docs/r3.3.0/releasenotes.html
> Key features of the 3.3.0 release:
> * observers - non-voting members of the ensemble, scale reads  http://bit.ly/9wPnpq
> * distributed queue recipe implementation (c/java)
> * additional 4letterword/jmx features to support operations
> Changes in contrib:
> * zookeeper-tree: export/import znode namespace
> * zooinspector: gui browser for znode namespace
> * bookkeeper client rewrite, use of netty
> This change can't be done on the 0.20 branch. From the release notes:
> {quote}
> Note: a new feature was added to the version 3.3 client which breaks backward compatibility,
at the wire protocol level, between version 3.3 clients and prior versions of the server (server
versions prior to 3.3).
> {quote}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message